Freeciv-3.1: fc_shortcut Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Public Member Functions | Data Fields
fc_shortcut Struct Reference

`#include <shortcuts.h>`

## Public Member Functions

bool | operator== (const fc_shortcut &a) const

## Data Fields

shortcut_id | id
int | key
Qt::MouseButton | mouse
Qt::KeyboardModifiers | mod
QString | str

## Detailed Description

Definition at line 103 of file shortcuts.h.

## Member Function Documentation

## ◆ operator==()

bool fc_shortcut::operator== | ( | const fc_shortcut & | a | ) | const

inline

Definition at line 110 of file shortcuts.h.

## Field Documentation

## ◆ id

shortcut_id fc_shortcut::id

Definition at line 105 of file shortcuts.h.

Referenced by fc_sc_button::fc_sc_button(), hash_copy(), fc_shortcuts::init_default(), read_shortcuts(), fc_shortcuts::set_shortcut(), and write_shortcuts().

## ◆ key

int fc_shortcut::key

Definition at line 106 of file shortcuts.h.

Referenced by fc_sc_button::fc_sc_button(), fc_shortcuts::get_id(), hash_copy(), fc_shortcuts::init_default(), line_edit::keyReleaseEvent(), line_edit::mousePressEvent(), operator==(), read_shortcuts(), fc_shortcuts::set_shortcut(), map_view::shortcut_pressed(), shortcut_to_string(), and write_shortcuts().

## ◆ mod

Qt::KeyboardModifiers fc_shortcut::mod

Definition at line 108 of file shortcuts.h.

Referenced by fc_sc_button::fc_sc_button(), hash_copy(), fc_shortcuts::init_default(), line_edit::keyReleaseEvent(), line_edit::mousePressEvent(), operator==(), read_shortcuts(), fc_shortcuts::set_shortcut(), map_view::shortcut_pressed(), map_view::shortcut_released(), shortcut_to_string(), and write_shortcuts().

## ◆ mouse

Qt::MouseButton fc_shortcut::mouse

Definition at line 107 of file shortcuts.h.

Referenced by fc_sc_button::fc_sc_button(), hash_copy(), fc_shortcuts::init_default(), line_edit::keyReleaseEvent(), line_edit::mousePressEvent(), operator==(), read_shortcuts(), fc_shortcuts::set_shortcut(), mr_menu::shortcut_exist_inner(), map_view::shortcut_pressed(), map_view::shortcut_released(), shortcut_to_string(), and write_shortcuts().

## ◆ str

QString fc_shortcut::str

Definition at line 109 of file shortcuts.h.

Referenced by fc_shortcuts_dialog::add_option(), fc_sc_button::fc_sc_button(), fc_shortcuts::get_desc(), hash_copy(), fc_shortcuts::init_default(), and read_shortcuts().